<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>Nummerreeks App | Print Instellingen</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script>
		const BASE_PATH = "~%basePath%";
		const MODEL_BEAN = ~%modelBean%;
		const SERIES = ~%numberSeries%;

		function print() {
			const usage = getRadioValue("usage");
			if(["ONCE","LAYOUT","PREFIX","PREFIX_MAX","PREFIX_MIN"].includes(usage)) {
				if(checkRequiredFields() === 0) {
					updateModel();
					console.log(JSON.stringify(MODEL_BEAN));
				}
			}
		};
	</script>
	<style>
		.setting-container {
			height: 1.8em;
		}
		.print-info {
			font-weight: bold;
			text-align: center;
			padding 0;
		}
	</style>
</head>

<body>

~%%include:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>Print Instellingen</h1>


<div class="center-screen" >
	<div class="small-input-container">
		<div class="print-info">Prefix ~%prefix%&nbsp;&nbsp;&nbsp;&nbsp;Nummers ~%firstNumber% t/m ~%lastNumber%&nbsp;&nbsp;&nbsp;&nbsp;Formaat ~%layout%</div>
		<table id="input-container">
			<tr>
				<td class="left-col"><label for="tableMargin">Tabel marge</label></td>
				<td class="right-col"><input id="tableMargin" name="tableMargin" style="width:4em;" maxlength="5"/></td>
				<td class="left-col"><label for="labelFontSize">Font grootte</label></td>
				<td class="right-col" colspan="3"><input id="labelFontSize" name="labelFontSize" style="width:4em;" maxlength="5"/></td>
			</tr>
			<tr>
				<td class="left-col">Label: <label for="labelPaddingTop">marge boven</label></td>
				<td class="right-col"><input id="labelPaddingTop" name="labelPaddingTop" style="width:4em;" maxlength="5"/></td>
				<td class="left-col"><label for="labelPaddingBottom">marge onder</label></td>
				<td class="right-col"><input id="labelPaddingBottom" name="labelPaddingBottom" style="width:4em;" maxlength="5"/></td>
				<td class="left-col"><label for="labelPaddingRight">marge rechts</label></td>
				<td class="right-col"><input id="labelPaddingRight" name="labelPaddingRight" style="width:4em;" maxlength="5"/></td>
			</tr>
			<tr>
				<td class="left-col">data matrix: <label for="qrCodePaddingTop">marge boven</label></td>
				<td class="right-col"><input id="qrCodePaddingTop" name="qrCodePaddingTop" style="width:4em;" maxlength="5"/></td>
				<td class="left-col"><label for="qrCodePaddingBottom">marge onder</label></td>
				<td class="right-col"><input id="qrCodePaddingBottom" name="qrCodePaddingBottom" style="width:4em;" maxlength="5"/></td>
				<td class="left-col"><label for="qrCodePaddingLeft">marge links</label></td>
				<td class="right-col"><input id="qrCodePaddingLeft" name="qrCodePaddingLeft" style="width:4em;" maxlength="5"/></td>
			</tr>
			<tr>
				<td colspan="6">
				
					<br/>
					
					<div id="div_NONE" class="setting-container">
						<input type="radio" name="usage" id="NONE" value="NONE" style="position:relative;top:7px;"/>
						<label for="NONE">Fabrieksinstellingen gebruiken</label>
					</div>
					
					<div id="div_RESET" class="setting-container">
						<input type="radio" name="usage" id="RESET" value="RESET" style="position:relative;top:7px;"/>
						<label for="RESET">Alle configuraties voor ~%prefix% wissen en terugkeren naar Fabrieksinstellingen</label>
					</div>
					
					<div id="div_ONCE" class="setting-container">
						<input type="radio" name="usage" id="ONCE" value="ONCE" style="position:relative;top:7px;"/>
						<label for="ONCE">Deze instellingen eenmalig gebruiken</label>
					</div>

					<div id="div_PREFIX_MAX" class="setting-container">
						<input type="radio" name="usage" id="PREFIX_MAX" value="PREFIX_MAX" style="position:relative;top:7px;"/>
						<label for="PREFIX_MAX">Deze instellingen altijd gebruiken voor nummers t/m ~%prefix%<input
						name="maxNumber"
						value="~%lastNumber%"> (formaat ~%layout%)</label>
					</div>

				</td>
			</tr>
		</table>	
		<div style="padding:25px 0 0 0;text-align:center;">
			<button class="btn btn-outline-primary" onclick="print()">
				Print Labels
			</button>
			<button class="btn btn-outline-primary" onclick="action(SERIES.requestId)">
				Sluiten
			</button>
		</div>
	</div>	
</div>

~%%include:bsDialog:/html/include/BSDialog.html%
	
<script>
$(function() {

	// Watch out: this function only coincidentally happens to do
	// the right things for this page as well
	initEditPage();
	
	if(isNull(MODEL_BEAN.printConfigId)) {
		$("#NONE").prop("checked", true);
	} else if(!isNull(MODEL_BEAN.minOrMaxNumber)) {
		if(MODEL_BEAN.maxNumber) {
			$("#PREFIX_MAX").prop("checked", true);
		} else {
			$("#PREFIX_MIN").prop("checked", true);
		}
	} else if(!isNull(MODEL_BEAN.collectionId)) {
		$("#PREFIX").prop("checked", true);
	} else {
		$("#LAYOUT").prop("checked", true);
	}
	
	$("input").keyup(function() {
		const e = $(this);
		if(isRadio(e)) {
			return true;
		}
		if(e.val().length !== 0) {
			if(isNull(MODEL_BEAN.printConfigId)) {
				if(isCheckedRadioButton("NONE")) {
					checkRadioButton("ONCE");
				}
			}
		}
	});

});
</script>

</body>
</html>